Subject: Re: [RFC][PATCH 0/2] Add ASRC Peripheral to Peripheral driver

From: Nicolin Chen <[email-masked]>
Date: Thu, 24 Jul 2014 16:25:46 +0800

On Fri, Jun 13, 2014 at 06:07:03PM +0800, Nicolin Chen wrote:
> This series of patches have a direct dependency between them. So we might
> need to push them into one branch. And sorry for this :(
> 
> Patch-1 adds device to device support in SDMA driver along with a secondary
> request in struct imx_dma_data which's requred in the Patch-2 ASRC driver.

I just sent a new version V2. So please disregard this version.

Thanks all,
Nicolin

> 
> Nicolin Chen (2):
>   dma: imx-sdma: Add device to device support
>   ASoC: fsl_asrc: Add ASRC ASoC CPU DAI and platform drivers
> 
>  .../devicetree/bindings/sound/fsl,asrc.txt         |   62 ++
>  drivers/dma/imx-sdma.c                             |   40 +-
>  include/linux/platform_data/dma-imx.h              |    1 +
>  sound/soc/fsl/Kconfig                              |    9 +
>  sound/soc/fsl/Makefile                             |    2 +
>  sound/soc/fsl/fsl_asrc.c                           | 1031 ++++++++++++++++++++
>  sound/soc/fsl/fsl_asrc.h                           |  431 ++++++++
>  sound/soc/fsl/fsl_asrc_dma.c                       |  385 ++++++++
>  8 files changed, 1956 insertions(+), 5 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/sound/fsl,asrc.txt
>  create mode 100644 sound/soc/fsl/fsl_asrc.c
>  create mode 100644 sound/soc/fsl/fsl_asrc.h
>  create mode 100644 sound/soc/fsl/fsl_asrc_dma.c
> 
> -- 
> 1.8.4
>